Seedream · Flash · Edit
Integrace
bytedance/seedream/v5/flash/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedream/v5/flash/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedream/v5/flash/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/cs/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bytedance/seedream/v5/flash/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
Volejte model Seedream · Flash · Edit (bytedance/seedream/v5/flash/edit) prostřednictvím Doitong API. Dokumentace pro agenty: https://doitong.com/cs/developers/models/bytedance/seedream/v5/flash/edit.md
POST https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
Pokud je stav odpovědi "queued" nebo "running", dotazujte GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20, dokud nebude "succeeded"; soubory jsou v outputs[].url. POST https://api.doitong.com/v1/quote/bytedance/seedream/v5/flash/edit se stejným tělem vrátí přesnou cenu před spuštěním.
Tento požadavek: 0,027 $ 27 kreditů API Spustit na této stránce
Váš nový API klíč. Zobrazuje se pouze nyní a už je vložen do kódu a do pole API klíč níže. Uchovávejte ho v tajnosti: nikdy ho nevkládejte do kódu, který se spouští v prohlížeči.
Vytvořeno na Doitong
Veřejná díla vytvořená komunitou Doitong pomocí Seedream 5 Flash. Znovu použijte prompt jedním kliknutím.
На фоне шумного стадиона, Марк Ройс, в яркой форме, виртуозно обводит соперников, демонстрируя невероятную технику и ловкость. Он мчится к трибунам, полные восторженных болельщиков, его лицо выражает уверенность и радость. Вытянув руку вперед, над его ладонью парит сверкающий кристалл, окруженный...
Art style: Cinematic Realistic. Maya standing in the near foreground; Mark standing further back in the frame. Two feet of marble floor visible between them. Maya is standing on marble floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...
A slightly overgrown wild field with tall, golden grass swaying gently in the breeze under a clear blue sky, its tufts catching the warm light. Scattered wildflowers pepper the field in hues of purple and white, adding pops of color. The sun, lowering in the west, streams through the wispy...
Cinematic shot, atelier Estet. A young girl in tears places a crumpled dress sketch on a dark wooden table. An elegant master tailor's hand wearing a stylish ring gracefully covers the sketch with a wave of glowing, luxurious silk fabric that falls in slow motion. Warm dramatic lighting,...
Art style: Cinematic Realistic. Горсть шелухи ~100г на весах. Крупный план, текстуры, кухонный фон, свет сверху, реалистично, горизонтальный формат, кинематографический стиль. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it...
Art style: Cinematic Realistic. Ян and Лия stop dancing and stand facing each other, holding both hands. The fire behind them calms down slightly. They are breathing heavily, smiling, their foreheads almost touching. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the...
Создай изображение девушки в полный рост: светлокожая фигура с мягкими и утонченными чертами лица, длинные темно-коричневые волосы, также собраны в сложные косы, украшенные бусинами и лентами в традиционном стиле. Она одета в древний кыргызский наряд: черный и золотой халат с изысканной вышивкой,...
Generation prompt: Яркая и радостная картинка в стиле студии Pixar. Главная героиня — женщина, похожая на ту, что на референсных фото, стройная , русые волосы , голубые глаза ( не косые ) празднует свой 42-й день рождения. Она одета в красивую модную одежду . Перед ней на столе стоит праздничный...
Art style: 3D Anthro. Close-up in the same hospital nursery: Mrs. Lime covers her mouth in disgust, looking down at a crying pomegranate baby ("0/100") in a glass crib. Mr. Pomegranate behind her, half turned away, cold expression. A nurse beside the crib holds a tiny white lace veil. Pixar-style...
Art style: Cinematic Realistic. पुणे के पास एक ग्रामीण घर की पुरानी पत्थर की छत, जहाँ 10 साल का लड़का मुंडेर पर खड़ा होकर ऊपर देख रहा है। पृष्ठभूमि में पश्चिमी घाट की पहाड़ियाँ और घने पेड़ हैं। आसमान गहरा नीला और मटमैला है, जिसमें भारी काले बादल उमड़ रहे हैं। वातावरण में उड़ती हुई धूल और पेड़ की...
make a long video with the following script The Greatest Story Ever Told: The Adi Parva Theme: Beginnings, Magic, and Family Scene 1: The Magical Forest (Setting: A peaceful forest with birds chirping. A group of young students are sitting around an old, wise storyteller named Rishi...
Chhatrapati Shivaji Maharaj standing tall on a rugged mountain fort like Raigad, overlooking vast Maratha land at sunrise, strong wind blowing his saffron flag (Bhagwa Dhwaj) behind him, wearing traditional royal armor with intricate details, sharp eyes full of vision and determination, thick...
Art style: Cinematic Realistic. Close-up of a thick, beautifully bound book opening on the table. A hand rests on the page. Warm light illuminating the paper. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any...
Короткое видео-лайфхак для кухни: как быстро почистить чеснок. Показать несколько зубчиков чеснока, положить их в стеклянную банку, закрыть крышку, энергично потрясти банку 10-15 секунд, потом открыть и высыпать уже очищенные зубчики без шелухи. Яркая чистая кухня, приятный и удовлетворяющий...
A cute, personified soap bubble character named Bombi, with big expressive eyes and a friendly smile, stands in front of a split background. On one side, a ridiculously expensive, ornate gold cosmetic bottle. On the other side, a simple, clean laboratory beaker with glowing ingredients. Bombi is...
A lone figure with an umbrella walks down a deserted city street at night, drenched in a recent downpour. The cobblestone street is covered in puddles, beautifully reflecting the warm, golden glow of a single vintage streetlight. The atmosphere is melancholic and cinematic, with a strong sense of...
Sestavit požadavek
Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.
/run/bytedance/seedream/v5/flash/edit?wait=20
cena → 0,027 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedream/v5/flash/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedream/v5/flash/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bytedance/seedream/v5/flash/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
Spustit tento požadavek
Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API
O modelu Seedream · Flash · Edit
Upravuje nebo kombinuje obrázky podle textového promptu a `image_urls`; pokud jich odešlete více než 10, použije se pouze posledních 10. `image_size` přijímá předvolby nebo auto_1K a auto_2K s celkovým počtem pixelů mezi 1024x1024 a 2048x2048. `num_images` vytváří 1 až 6 výsledků a výstup je jpeg nebo png.
Parametry
Odešlete buď kanonický název, nebo nativní název, ne oba. Kanonické názvy
promptpovinné
image_sizevolitelné
num_imagesvolitelné
num_outputs
output_formatvolitelné
enable_safety_checkervolitelné
image_urlspovinné
images
Parametry souborů přijímají veřejnou adresu https:// URL, data: URI do 10 MB nebo file_url nahraného souboru. Soubory
Výstup
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bytedance/seedream/v5/flash/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 27,
"usd": "0.027",
"charged": 27,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pole výstupu
- images
- array of object {url, content_type, file_name, file_size, width, height}Obrázky vytvořené generováním.
Další varianty Seedream 5 Flash
Další modely: Úprava obrázků
Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/bytedance/seedream/v5/flash/edit.md. Všechny modely a návody: https://doitong.com/developers/llms.txt



